## gnumeric 1.12.56

=== debian/changelog ===
gnumeric (1.12.56-2build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:16:02 +0000

gnumeric (1.12.56-2build4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:46:18 +0000

gnumeric (1.12.56-2build3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:09:57 +0100

gnumeric (1.12.56-2build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 08:44:30 +0000

gnumeric (1.12.56-2build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:04:25 +0100

gnumeric (1.12.56-2) unstable; urgency=medium

  * rules: do not set "--with-long-double", as per upstream advice.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 Dec 2023 16:52:27 +1100

gnumeric (1.12.56-1) unstable; urgency=medium

  * New upstream release.
  * Removed "gsfonts" from Depends (Closes: #1020343).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 25 Nov 2023 13:11:11 +1100
