## gnumeric 1.12.57

=== debian/changelog ===
gnumeric (1.12.57-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.0
  * Closing 64-bit time_t transition bug/report (Closes: #1061358).
  * Build-Depends:
    = libgoffice-0.10-dev (>= 0.10.57~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 May 2024 20:27:06 +1000
