=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: gnumeric
 Section: math
 Priority: optional
-Standards-Version: 4.6.2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.7.0
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 12) ,dh-buildinfo ,dh-python ,po-debconf ,dpkg-dev (>= 1.16.1.1)
               ,bison
 # "dblatex" needed for PDF generation:
@@ -16,7 +15,7 @@
               ,itstool
               ,libglib2.0-dev (>= 2.28.0)
               ,libgirepository1.0-dev (>= 1.41.4)
-              ,libgoffice-0.10-dev (>= 0.10.51~)
+              ,libgoffice-0.10-dev (>= 0.10.57~)
               ,libgsf-1-dev (>= 1.14.33)
               ,libgtk-3-dev
               ,libpango1.0-dev
